"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addComment = void 0;
const os_1 = require("os");
const addComment = (comment, externalDocs) => {
    if (!externalDocs) {
        return comment;
    }
    return [comment, "", `@see ${externalDocs.url}`, externalDocs.description].filter(Boolean).join(os_1.EOL);
};
exports.addComment = addComment;
//# sourceMappingURL=ExternalDocumentation.js.map