import ts from "typescript";
import type { OpenApi } from "../../../types";
import { Factory } from "../../TsGenerator";
import * as ConverterContext from "../ConverterContext";
import * as ToTypeNode from "../toTypeNode";
export declare const generatePropertySignature: (entryPoint: string, currentPoint: string, factory: Factory.Type, protocol: string, schema: OpenApi.Schema, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => ts.PropertySignature;
export declare const generatePropertySignatures: (entryPoint: string, currentPoint: string, factory: Factory.Type, content: Record<string, OpenApi.MediaType>, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => ts.PropertySignature[];
export declare const generateInterface: (entryPoint: string, currentPoint: string, factory: Factory.Type, name: string, content: Record<string, OpenApi.MediaType>, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => ts.InterfaceDeclaration;
