import ts from "typescript";
export interface Params$Create {
    text: string;
}
export interface Factory {
    create: (params: Params$Create) => ts.RegularExpressionLiteral;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
