"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.make = exports.create = void 0;
const create = ({ factory }) => (params) => {
    const node = factory.createNoSubstitutionTemplateLiteral(params.text, params.rawText);
    return node;
};
exports.create = create;
const make = (context) => {
    return {
        create: exports.create(context),
    };
};
exports.make = make;
//# sourceMappingURL=NoSubstitutionTemplateLiteral.js.map