import ts from "typescript";
export interface Params {
    head: ts.TemplateHead;
    templateSpans: readonly ts.TemplateSpan[];
}
export interface Factory {
    create: (params: Params) => ts.TemplateExpression;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
