import ts from "typescript";
declare const flags: {
    readonly const: ts.NodeFlags.Const;
};
export interface Params {
    declarations: readonly ts.VariableDeclaration[];
    flag: keyof typeof flags;
}
export interface Factory {
    create: (params: Params) => ts.VariableDeclarationList;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
export {};
